summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-02-07 19:59:18 +0100
committerMichał Górny <mgorny@gentoo.org>2020-02-09 17:35:23 +0100
commita1b617de69c4c48480f336dd450665e01e12e4d7 (patch)
tree9313b58fbca3809f49ddc6cd3d581006ed1ed6aa /sci-electronics/kicad
parentsci-electronics/geda-xgsch2pcb: Switch to PYTHON_MULTI_USEDEP API (diff)
downloadgentoo-a1b617de69c4c48480f336dd450665e01e12e4d7.tar.gz
gentoo-a1b617de69c4c48480f336dd450665e01e12e4d7.tar.bz2
gentoo-a1b617de69c4c48480f336dd450665e01e12e4d7.zip
sci-electronics/kicad: Switch to PYTHON_MULTI_USEDEP API
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'sci-electronics/kicad')
-rw-r--r--sci-electronics/kicad/kicad-4.0.7-r1.ebuild (renamed from sci-electronics/kicad/kicad-4.0.7.ebuild)14
-rw-r--r--sci-electronics/kicad/kicad-5.0.1.ebuild14
-rw-r--r--sci-electronics/kicad/kicad-5.1.0-r1.ebuild14
-rw-r--r--sci-electronics/kicad/kicad-5.1.2-r1.ebuild12
-rw-r--r--sci-electronics/kicad/kicad-5.1.4.ebuild12
-rw-r--r--sci-electronics/kicad/kicad-5.1.5-r1.ebuild (renamed from sci-electronics/kicad/kicad-5.1.5.ebuild)7
6 files changed, 43 insertions, 30 deletions
diff --git a/sci-electronics/kicad/kicad-4.0.7.ebuild b/sci-electronics/kicad/kicad-4.0.7-r1.ebuild
index 624172e8994..a85b949bc42 100644
--- a/sci-electronics/kicad/kicad-4.0.7.ebuild
+++ b/sci-electronics/kicad/kicad-4.0.7-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -33,11 +33,13 @@ REQUIRED_USE="
python? ( ${PYTHON_REQUIRED_USE} )"
COMMON_DEPEND=">=x11-libs/wxGTK-3.0.2:${WX_GTK_VER}[X,opengl]
- python? (
- dev-python/wxpython:${WX_GTK_VER}[opengl,${PYTHON_USEDEP}]
- ${PYTHON_DEPS}
- )
- >=dev-libs/boost-1.61:=[context,nls,threads,python?,${PYTHON_USEDEP}]
+ $(python_gen_cond_dep "
+ python? (
+ dev-python/wxpython:${WX_GTK_VER}[opengl,\${PYTHON_MULTI_USEDEP}]
+ ${PYTHON_DEPS}
+ )
+ >=dev-libs/boost-1.61:=[context,nls,threads,python?,\${PYTHON_MULTI_USEDEP}]
+ ")
github? (
libressl? ( dev-libs/libressl:0= )
!libressl? ( dev-libs/openssl:0= )
diff --git a/sci-electronics/kicad/kicad-5.0.1.ebuild b/sci-electronics/kicad/kicad-5.0.1.ebuild
index a9f2e30229b..cb1d50631ac 100644
--- a/sci-electronics/kicad/kicad-5.0.1.ebuild
+++ b/sci-electronics/kicad/kicad-5.0.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -23,11 +23,13 @@ REQUIRED_USE="
"
COMMON_DEPEND=">=x11-libs/wxGTK-3.0.2:${WX_GTK_VER}[X,opengl]
- python? (
- dev-python/wxpython:${WX_GTK_VER}[opengl,${PYTHON_USEDEP}]
- ${PYTHON_DEPS}
- )
- >=dev-libs/boost-1.61:=[context,nls,threads,python?,${PYTHON_USEDEP}]
+ $(python_gen_cond_dep "
+ python? (
+ dev-python/wxpython:${WX_GTK_VER}[opengl,\${PYTHON_MULTI_USEDEP}]
+ ${PYTHON_DEPS}
+ )
+ >=dev-libs/boost-1.61:=[context,nls,threads,python?,\${PYTHON_MULTI_USEDEP}]
+ ")
github? ( net-misc/curl:=[ssl] )
media-libs/glew:0=
media-libs/glm
diff --git a/sci-electronics/kicad/kicad-5.1.0-r1.ebuild b/sci-electronics/kicad/kicad-5.1.0-r1.ebuild
index 6646e63fac8..8c93a13852a 100644
--- a/sci-electronics/kicad/kicad-5.1.0-r1.ebuild
+++ b/sci-electronics/kicad/kicad-5.1.0-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# Can switch to EAPI=7 when wxwidgets eclass also supports it
@@ -24,11 +24,13 @@ REQUIRED_USE="
"
COMMON_DEPEND=">=x11-libs/wxGTK-3.0.2:${WX_GTK_VER}[X,opengl]
- python? (
- dev-python/wxpython:${WX_GTK_VER}[opengl,${PYTHON_USEDEP}]
- ${PYTHON_DEPS}
- )
- >=dev-libs/boost-1.61:=[context,nls,threads,python?,${PYTHON_USEDEP}]
+ $(python_gen_cond_dep "
+ python? (
+ dev-python/wxpython:${WX_GTK_VER}[opengl,\${PYTHON_MULTI_USEDEP}]
+ ${PYTHON_DEPS}
+ )
+ >=dev-libs/boost-1.61:=[context,nls,threads,python?,\${PYTHON_MULTI_USEDEP}]
+ ")
github? ( net-misc/curl:=[ssl] )
media-libs/glew:0=
media-libs/glm
diff --git a/sci-electronics/kicad/kicad-5.1.2-r1.ebuild b/sci-electronics/kicad/kicad-5.1.2-r1.ebuild
index eaf36e9596e..377f42f962a 100644
--- a/sci-electronics/kicad/kicad-5.1.2-r1.ebuild
+++ b/sci-electronics/kicad/kicad-5.1.2-r1.ebuild
@@ -24,11 +24,13 @@ REQUIRED_USE="
"
COMMON_DEPEND="x11-libs/wxGTK:${WX_GTK_VER}[X,opengl]
- python? (
- dev-python/wxpython:4.0[${PYTHON_USEDEP}]
- ${PYTHON_DEPS}
- )
- >=dev-libs/boost-1.61:=[context,nls,threads,python?,${PYTHON_USEDEP}]
+ $(python_gen_cond_dep "
+ python? (
+ dev-python/wxpython:4.0[\${PYTHON_MULTI_USEDEP}]
+ ${PYTHON_DEPS}
+ )
+ >=dev-libs/boost-1.61:=[context,nls,threads,python?,\${PYTHON_MULTI_USEDEP}]
+ ")
github? ( net-misc/curl:=[ssl] )
media-libs/glew:0=
media-libs/glm
diff --git a/sci-electronics/kicad/kicad-5.1.4.ebuild b/sci-electronics/kicad/kicad-5.1.4.ebuild
index b442e402be3..68c690312a8 100644
--- a/sci-electronics/kicad/kicad-5.1.4.ebuild
+++ b/sci-electronics/kicad/kicad-5.1.4.ebuild
@@ -24,11 +24,13 @@ REQUIRED_USE="
"
COMMON_DEPEND="x11-libs/wxGTK:${WX_GTK_VER}[X,opengl]
- python? (
- dev-python/wxpython:4.0[${PYTHON_USEDEP}]
- ${PYTHON_DEPS}
- )
- >=dev-libs/boost-1.61:=[context,nls,threads,python?,${PYTHON_USEDEP}]
+ $(python_gen_cond_dep "
+ python? (
+ dev-python/wxpython:4.0[\${PYTHON_MULTI_USEDEP}]
+ ${PYTHON_DEPS}
+ )
+ >=dev-libs/boost-1.61:=[context,nls,threads,python?,\${PYTHON_MULTI_USEDEP}]
+ ")
github? ( net-misc/curl:=[ssl] )
media-libs/glew:0=
>=media-libs/glm-0.9.9.1
diff --git a/sci-electronics/kicad/kicad-5.1.5.ebuild b/sci-electronics/kicad/kicad-5.1.5-r1.ebuild
index 46baaff613c..af08ef9e488 100644
--- a/sci-electronics/kicad/kicad-5.1.5.ebuild
+++ b/sci-electronics/kicad/kicad-5.1.5-r1.ebuild
@@ -24,7 +24,7 @@ REQUIRED_USE="
"
COMMON_DEPEND="
- >=dev-libs/boost-1.61:=[context,nls,threads,python?,${PYTHON_USEDEP}]
+ >=dev-libs/boost-1.61:=[context,nls,threads]
media-libs/freeglut
media-libs/glew:0=
>=media-libs/glm-0.9.9.1
@@ -39,7 +39,10 @@ COMMON_DEPEND="
occ? ( >=sci-libs/opencascade-6.8.0:= )
oce? ( sci-libs/oce )
python? (
- dev-python/wxpython:4.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-libs/boost-1.61:=[context,nls,threads,python,${PYTHON_MULTI_USEDEP}]
+ dev-python/wxpython:4.0[${PYTHON_MULTI_USEDEP}]
+ ')
${PYTHON_DEPS}
)
"